#ifndef UI_QUERY_H
#define UI_QUERY_H

#ifdef __cplusplus
extern "C"
{
#endif

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

	#include <gtk/gtk.h>
	#include <glade/glade.h>	
	#include <include/guyum.h>
	#include <include/callbacks.h>




/**
* Liest Informationen zu dem Package aus und stellt sie dar
*/
void
set_package_information(const gchar* packageid, GuyumPackageComposite* packages);

/**
*
*/
void
query_selection_changed (GtkTreeSelection *selection, gpointer user_data);


/**
*
*/
GtkTreeView* get_nth_query_treeview(GtkNotebook* notebook_query, guint nth);



/**
* create new tabulator label
*/
GtkWidget* create_tablabel(gchar* labeltext, gpointer* child);

/**
* Add packages to the notebook
*/
void
add_packages_tab(GuyumQueryComponent* query, gint position);

/**
* Liest Informationen zu dem Package aus und stellt sie dar
*/
void
set_package_information(const gchar* packageid, GuyumPackageComposite* packages);


#ifdef __cplusplus
}
#endif


#endif
