/***************************************************************************
 *            repodialog_tree.h
 *
 *  Fri Jun 23 11:58:23 2006
 *  Copyright  2006  User
 *  Email
 ****************************************************************************/

#ifndef UI_REPODIALOG_TREE_H
#define UI_REPODIALOG_TREE_H

#ifdef __cplusplus
extern "C"
{
#endif
	
#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif


	#include <gtk/gtk.h>
	#include <glade/glade.h>
	#include <glib/gprintf.h>
	#include <include/guyum.h>
	
	
	enum {
		COL_REPOPROPS_KEY=0,
		COL_REPOPROPS_VALUE,
		NUM_REPOPROPS_COLS
	};
	
	void create_repoprops_treemodel(GtkTreeView** treeview, const gchar* repoid);

	
	void repoprops_create_and_fill_model(gchar* repoid, GtkTreeView* treeview);

#ifdef __cplusplus
}
#endif

#endif /* _REPODIALOG_TREE_H */
