/***************************************************************************
 *            test_utils.c
 *
 *  Mon Feb  5 23:51:44 2007
 *  Copyright  2007  User
 *  Email
 ****************************************************************************/

#include "test_utils.h"

extern GuyumMain* guyummain;

/**
* Execute a search in a repository for the given searchstring, 
* search in searchfields
*/
GuyumPackageComposite* 
runSearch(const gchar* text, GList* searchfields, gint position, gchar* repo)
{	
	g_return_val_if_fail(text!=NULL, NULL);
	g_return_val_if_fail(searchfields!=NULL, NULL);
	
	GuyumPackageComposite* packages = NULL;
	GuyumQueryComponent* query = guyum_main_init_query(guyummain, position);		
		
	packages = guyum_main_execute_query(guyummain, query, text, searchfields, repo);
	return packages;
}
