#include <include/ui/ui_repo.h>

extern GuyumMain* guyummain;
extern GladeXML* xml;


/**
*
*/
gboolean
add_repository(GtkTreeModel* model, GtkTreePath* path, GtkTreeIter* iter, GList **repositories)
{
	gchar *repoid = NULL;
	gboolean toggle_item;	
	
  	/* get toggled iter */
  	gtk_tree_model_get_iter (model, iter, path);
  	gtk_tree_model_get (model, iter, COL_REPOS_ENABLED, &toggle_item, -1);
	
	gtk_tree_model_get(model, iter, COL_REPOS_ID, &repoid, -1);
	if (toggle_item) {
		(*repositories) = g_list_append(*repositories, repoid);
	}
	
	return FALSE;
}


/**
*
*/
GList* get_repositories()
{
	GList* repositories=NULL;

	GtkTreeView* treeviewrepo = GTK_TREE_VIEW(glade_xml_get_widget(xml, "guyum_treeview_repo"));
	GtkTreeModel* treemodelrepo = gtk_tree_view_get_model(treeviewrepo);
	gtk_tree_model_foreach(treemodelrepo, (GtkTreeModelForeachFunc)add_repository, &repositories);	
	
	return repositories;
	
}
