%define PACKAGE_NAME guyum
%define PACKAGE_URL http://www.guyum.de
%define VERSION 0.3.0

Summary: GuYum - a GUI for Yum - v%VERSION
Name: %PACKAGE_NAME
Version: %VERSION
Release: 1
Source: %PACKAGE_NAME-%VERSION.tar.gz
License: GPL
Group: Applications/System
URL: %PACKAGE_URL
Packager: Valerij Klein <vklein@guyum.de>
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires: python, rpm-python, rpm >= 0:4.1.1, python-sqlite, urlgrabber, yum
BuildArchitectures: i386 i586 i686 

%description
Guyum is a simple "search-and-install" GUI for Yum, written in C.

%prep
%setup -q

%build
%configure

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%config(noreplace) %{_sysconfdir}/pam.d/guyum
%config(noreplace) %{_sysconfdir}/security/console.apps/guyum
%{_prefix}/bin/guyum
%{_prefix}/share/guyum/*
%{_prefix}/sbin/guyum

%changelog
* Mon Mar 19 2007 Valerij Klein <vklein@guyum.de> - 0.3.0-1
- GuYum-0.3
* Wed Dec 27 2006 Valerij Klein <vklein@guyum.de> - 0.2.0-1
- GuYum-0.2
* Mon Oct 06 2006 Valerij Klein <vklein@guyum.de> - 0.1.4-1
- Yum 3.0 compatibility
* Wed Aug 30 2006 Valerij Klein <vklein@guyum.de> - 0.1.3-1
- Compiler warnings fixed
* Sun Jul 30 2006 Valerij Klein <vklein@guyum.de> - 0.1.2
- Several bugfixes
- Logfile handling changed
- Logo added
* Wed Jul 19 2006 Valerij Klein <vklein@guyum.de> - 0.1.1
- GUI refactored
* Wed Jul 12 2006 Valerij Klein <vklein@guyum.de> - 0.1.0
- Initial version
