/***************************************************************************
 *            deps_tree.h
 *
 *  Sat Jul  1 22:09:12 2006
 *  Copyright  2006  User
 *  Email
 ****************************************************************************/

#ifndef UI_DEPS_TREE_H
#define UI_DEPS_TREE_H

#ifdef __cplusplus
extern "C"
{
#endif


#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif
	
	#include <gtk/gtk.h>
	#include <glade/glade.h>
	#include <glib/gprintf.h>
	#include <include/guyum.h>
	#include <include/functions.h>
	#include <include/ui/ui_repotree.h>
	#include <include/ui/ui_repodialog_tree.h>
	#include <include/callbacks.h>
	
	enum {
		COL_DEPPACKAGE_NAME=0,
		COL_DEPPACKAGE_REMOTEVERSION,
		COL_DEPPACKAGE_SIZE,	
		COL_DEPPACKAGE_REPOID,
		COL_DEPPACKAGE_PKGID,
		COL_DEPPACKAGE_DESCRIPTION,
		NUM_DEPPACKAGE_COLS
	};
	
	GtkTreeView*
	create_deppackages_treeview();
	
	void
	deppackages_create_and_fill_model(GuyumPackageComposite* packages, GtkTreeView* treeview);




#ifdef __cplusplus
}
#endif

#endif /* _DEPS_TREE_H */
