/***************************************************************************
 *            query_tree.h
 *
 *  Wed Jun 28 23:17:29 2006
 *  Copyright  2006  User
 *  Email
 ****************************************************************************/

#ifndef UI_QUERY_TREE_H
#define UI_QUERY_TREE_H

#ifdef __cplusplus
extern "C"
{
#endif

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif
	
	#include <gtk/gtk.h>
	#include <glade/glade.h>
	#include <glib/gprintf.h>
	#include <include/guyum.h>
	#include <include/functions.h>
	#include <include/ui/ui_repotree.h>
	#include <include/ui/ui_repodialog_tree.h>
	#include <include/ui/ui_query.h>
	#include <include/callbacks.h>
	
	enum {
		COL_PACKAGE_STATE=0,
		COL_PACKAGE_NAME,
		COL_PACKAGE_LOCALVERSION,
		COL_PACKAGE_REMOTEVERSION,
		COL_PACKAGE_SIZE,	
		COL_PACKAGE_REPOID,
		COL_PACKAGE_PKGID,
		COL_PACKAGE_DESCRIPTION,
		COL_PACKAGE_STATE_STRING,
		NUM_PACKAGE_COLS
	};
	
	GtkTreeView*
	create_query_treeview();
		
	void
	packages_create_and_fill_model(GuyumPackageComposite* packages, GtkTreeView* treeview);
	
	void
	query_selection_changed (GtkTreeSelection *selection, gpointer user_data);



#ifdef __cplusplus
}
#endif

#endif /* _QUERY_TREE_H */
