#!/usr/bin/perl

use strict;
use warnings;

our $rpmnames = ["guyum-package-local", 
		"guyum-package-remote", 	
		"guyum-search-1", 
		"guyum-search-2", 
		"guyum-package-loc-rem", 
		"guyum-install", 
		"guyum-depinst",
		"guyum-instdeps-dep1",
		"guyum-instdeps-dep2"];

sub main {
    foreach my $rpmname (@{$rpmnames}) {
	system("tar xvfz $rpmname.tar.gz");
	system("sudo rpmbuild --buildroot=`pwd`/$rpmname -v -bb $rpmname.spec");
	system("rm -rf $rpmname");
	
    }
}

main();